
function actualizaDocumento(id_documento, desc_documento, tipo_documento, proceso, estado, acceso, id_usuario, accion, urlcontrolador){

	let id_documento_   = id_documento;
	let desc_documento_ = $('#'+desc_documento).val();
	let tipo_documento_ = $('#'+tipo_documento).val();
	let proceso_        = $('#'+proceso).val();
	let estado_         = $('#'+estado).val();
	let acceso_         = $('#'+acceso).val();
	let id_usuario_     = id_usuario;

	let parametros = "id_documento="+id_documento_+"&desc_documento="+desc_documento_+"&tipo_documento="+tipo_documento_+"&proceso="+proceso_+"&estado="+estado_+"&acceso="+acceso_+"&id_usuario="+id_usuario_+"&accion="+accion+"&peticion=ajax";

	$.ajax({
        url: urlcontrolador,
        type: 'POST',
        data: parametros,
        success:function(respuesta){

            // console.log(respuesta);
            if (respuesta == 'Actualización exitosa') {
	            Swal.fire({
		          icon: 'success',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })
        	}else if(respuesta != ""){

        		Swal.fire({
		          icon: 'info',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })	

        	}
        
        }
    });

}

function actualizaPerfil_(id_perfil, descripcion_perfil, estado_perfil, id_usuario, accion, urlcontrolador){

	let estado_perfil_ = $('input:checkbox[name='+estado_perfil+']:checked').val();
	let descripcion_perfil_ = $('#'+descripcion_perfil).val();

    $.ajax({
        url: urlcontrolador,
        type: 'POST',
        data: "id_perfil="+id_perfil+"&descripcion_perfil="+descripcion_perfil_+"&estado_perfil="+estado_perfil_+"&id_usuario="+id_usuario+"&accion="+accion+"&peticion=ajax",
        success:function(respuesta){

            console.log(respuesta);
            if (respuesta == 'Actualización exitosa') {
	            Swal.fire({
		          icon: 'success',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })
        	}else if(respuesta != ""){

        		Swal.fire({
		          icon: 'info',
		          // title: 'Proceso exitoso',
		          html: respuesta,
		          confirmButtonText: 'Aceptar',
		          confirmButtonColor: '#28A745',
		          showConfirmButton: true,
		          // footer: '<a href>Why do I have this issue?</a>'
		        })	

        	}
        
        }
    });

}